# asReadKeyValueRepo

fun < K , V > ReadKeyValuesRepo < K , V >. asReadKeyValueRepo (): ReadKeyValueFromKeyValuesRepo < K , V >(source)

Wraps this ReadKeyValuesRepo as a ReadKeyValueFromKeyValuesRepo, exposing each key mapped to a List of all associated values.

#### Return

ReadKeyValueFromKeyValuesRepo delegating to this repo

#### Type Parameters

K

The type of keys

V

The type of individual values

fun < K , V > ReadCRUDRepo < K , V >. asReadKeyValueRepo (): ReadKeyValueFromCRUDRepo < V , K >(source)

Wraps this ReadCRUDRepo as a ReadKeyValueFromCRUDRepo, exposing CRUD IDs as keys and CRUD objects as values in a ReadKeyValueRepo.

#### Return

ReadKeyValueFromCRUDRepo delegating to this repo

#### Type Parameters

K

The type of CRUD IDs (used as keys)

V

The type of CRUD objects (used as values)